const modal = (theme) => ({
	'.calendar': {
		width: '100%',
		height: 'fit-content',
		tableLayout: 'fixed',
		'&-controller': {
			fontSize: '1.5rem',
			display: 'flex',
			justifyContent: 'flex-end',
			alignItems: 'center',
		},
		'&-days .calendar-cell': {
			textTransform: 'capitalize',
			padding: '.25rem 0',
			textAlign: 'center',
			color: theme('colors.black'),
		},
		'&-row:hover &-cell-typeWeek &-day--hover': {
			backgroundColor: theme('colors.focus.100'),
			color: 'black',
		},
		'&-cell': {
			display: 'table-cell',
		},
		'&-day': {
			textAlign: 'center',
			margin: '2px auto',
			padding: '2px 0',
			height: '30px',
			width: '30px',
			borderRadius: theme('borderRadius.full'),
			'&--otherMonth': {
				color: theme('colors.gray.300'),
			},
			'&--selected': {
				backgroundColor: theme('colors.primary.200'),
				color: theme('colors.white'),
			},
			'&--today': {
				backgroundColor: theme('colors.active.200'),
				color: theme('colors.white'),
			},
			'&--hover:hover': {
				cursor: 'pointer',
				backgroundColor: theme('colors.focus.100'),
				color: theme('colors.black'),
			},
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(modal(theme));
};

module.exports.modal = modal;
