const buildState = (theme, color, bg) => {
	return {
		'& > div:first-of-type': {
			border: `1px solid ${color}`,
			borderRight: 'none',
			borderRadius: `${theme('borderRadius.md')} 0 0 ${theme('borderRadius.md')}`,
			backgroundColor: bg,
			'& > div': {
				padding: theme('spacing.3'),
				margin: '.25rem',
				'& > svg': {
					color: color,
				},
			},
		},
		'& > div:nth-of-type(2)': {
			width: '100%',
			border: `1px solid ${color}`,
			backgroundColor: 'white',
			borderLeft: 'none',
			paddingLeft: theme('spacing.5'),
			paddingRight: theme('spacing.5'),
			borderRadius: `0 ${theme('borderRadius.md')} ${theme('borderRadius.md')} 0`,
			display: 'flex',
			alignItems: 'center',
		},
	};
};

const message = (theme) => ({
	'.message': {
		width: '100%',
		display: 'flex',
		color: theme('colors.black'),
		borderRadius: theme('borderRadius.md'),
		backgroundColor: 'white',
		'&--none': buildState(theme, theme('colors.gray.400'), theme('colors.gray.200')),
		'&--info': buildState(theme, theme('colors.info.300'), theme('colors.info.50')),
		'&--success': buildState(theme, theme('colors.success.300'), theme('colors.success.50')),
		'&--warning': buildState(theme, theme('colors.warning.300'), theme('colors.warning.50')),
		'&--error': buildState(theme, theme('colors.error.500'), theme('colors.error.50')),
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(message(theme));
};

module.exports.message = message;
